//**********************************************************************
//  DLMS/COSEM components
//
//  i-cube, Christian Aymon, 1966 Ayent, Switzerland
//          www.icube.ch
//
// (C)Copyright 2001-2016
//**********************************************************************
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/* 
 * File:   Com.h
 * Author: Christian
 *
 * Created on August 5, 2016, 9:53 AM
 */

#ifndef COM_H
#define COM_H

class Com {
private:
    int fd;
public:
    char ErrorMessage [150];
    Com();
    Com(const Com& orig);
    virtual ~Com();
    
    bool Open(char *pComPortName);
    void Close();
    bool Configure(int Baud);
    void Purge();
    bool GetByte(unsigned char * pData);
    int GetLastError();
    static unsigned int GetTickCount();
    void SetErrorMessage(char *s);
private:

};

#endif /* COM_H */

